## python-watcherclient 0.25.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

Babel>=2.3.4 # BSD
cliff!=1.16.0,!=1.17.0,>=1.15.0 # Apache-2.0
osc-lib>=1.0.2 # Apache-2.0
oslo.i18n>=2.1.0 # Apache-2.0
oslo.utils>=3.16.0 # Apache-2.0
pbr>=1.6 # Apache-2.0
PrettyTable<0.8,>=0.7 # BSD
python-keystoneclient!=2.1.0,>=2.0.0 # Apache-2.0
six>=1.9.0 # MIT

## python-watcherclient 0.23.0

=== debian/changelog ===
python-watcherclient (0.23.0-2+1~bpo8+1) UNRELEASED; urgency=medium

  * Backport rebuilt by Jenkins in OpenStack infra.

 -- Jenkins <jenkins@openstack.org>  Mon, 12 Sep 2016 15:20:53 +0000

python-watcherclient (0.23.0-2) experimental; urgency=medium

  * Added missing (c) 2016 b<>com in debian/copyright.
  * Added override to do: dh_python3 --shebang=/usr/bin/python3.

 -- Thomas Goirand <zigo@debian.org>  Mon, 13 Jun 2016 09:07:25 +0000

python-watcherclient (0.23.0-1) experimental; urgency=medium

  * Initial release. (Closes: #826852)

 -- Thomas Goirand <zigo@debian.org>  Thu, 09 Jun 2016 15:27:58 +0200

=== debian/control ===
Source: python-watcherclient
Section: python
Priority: optional
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>,
Build-Depends: debhelper (>= 9),
               dh-python,
               openstack-pkg-tools,
               python-all,
               python-pbr (>= 1.8),
               python-setuptools,
               python-sphinx,
               python3-all,
               python3-pbr (>= 1.8),
               python3-setuptools,
Build-Depends-Indep: python-babel (>= 2.3.4),
                     python-cliff (>= 1.15.0),
                     python-coverage,
                     python-hacking,
                     python-keystoneclient (>= 1.6.0),
                     python-mock (>= 1.3),
                     python-openstackclient (>= 2.1.0),
                     python-oslo.i18n (>= 2.1.0),
                     python-oslo.utils (>= 3.5.0),
                     python-oslosphinx,
                     python-oslotest (>= 1.10.0),
                     python-prettytable (>= 0.7),
                     python-six (>= 1.9.0),
                     python-tempest-lib (>= 0.14.0),
                     python-testscenarios,
                     python-testtools (>= 1.4.0),
                     python3-babel (>= 2.3.4),
                     python3-cliff (>= 1.15.0),
                     python3-coverage,
                     python3-hacking,
                     python3-keystoneclient (>= 1.6.0),
                     python3-mock (>= 1.3),
                     python3-openstackclient (>= 2.1.0),
                     python3-oslo.i18n (>= 2.1.0),
                     python3-oslo.utils (>= 3.5.0),
                     python3-oslotest (>= 1.10.0),
                     python3-prettytable (>= 0.7),
                     python3-six (>= 1.9.0),
                     python3-subunit,
                     python3-tempest-lib (>= 0.14.0),
                     python3-testscenarios,
                     python3-testtools (>= 1.4.0),
                     subunit,
                     testrepository,
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/gitweb/?p=openstack/python-watcherclient.git
Vcs-Git: https://anonscm.debian.org/git/openstack/python-watcherclient.git
Homepage: https://github.com/openstack/python-watcherclient

Package: python-watcherclient
Architecture: all
Depends: python-babel (>= 2.3.4),
         python-cliff (>= 1.15.0),
         python-keystoneclient (>= 1.6.0),
         python-openstackclient (>= 2.1.0),
         python-oslo.i18n (>= 2.1.0),
         python-oslo.utils (>= 3.5.0),
         python-pbr (>= 1.8),
         python-prettytable (>= 0.7),
         python-six (>= 1.9.0),
         ${misc:Depends},
         ${python:Depends},
Description: OpenStack Cloud Optimization as a Service client - Python 2.7
 OpenStack Watcher provides a flexible and scalable resource optimization
 service for multi-tenant OpenStack-based clouds. Watcher provides a complete
 optimization loop-including everything from a metrics receiver, complex event
 processor and profiler, optimization processor and an action plan applier.
 This provides a robust framework to realize a wide range of cloud optimization
 goals, including the reduction of data center operating costs, increased
 system performance via intelligent virtual machine migration, increased energy
 efficiency-and more!
 .
 This package contains the Python 2.7 module and the Watcher CLI.

Package: python3-watcherclient
Architecture: all
Depends: python3-babel (>= 2.3.4),
         python3-cliff (>= 1.15.0),
         python3-keystoneclient (>= 1.6.0),
         python3-openstackclient (>= 2.1.0),
         python3-oslo.i18n (>= 2.1.0),
         python3-oslo.utils (>= 3.5.0),
         python3-pbr (>= 1.8),
         python3-prettytable (>= 0.7),
         python3-six (>= 1.9.0),
         ${misc:Depends},
         ${python3:Depends},
Description: OpenStack Cloud Optimization as a Service client - Python 3.x
 OpenStack Watcher provides a flexible and scalable resource optimization
 service for multi-tenant OpenStack-based clouds. Watcher provides a complete
 optimization loop-including everything from a metrics receiver, complex event
 processor and profiler, optimization processor and an action plan applier.
 This provides a robust framework to realize a wide range of cloud optimization
 goals, including the reduction of data center operating costs, increased
 system performance via intelligent virtual machine migration, increased energy
 efficiency-and more!
 .
 This package contains the Python 3.x module and the Watcher CLI.

Package: python-watcherclient-doc
Architecture: all
Section: doc
Depends: ${misc:Depends},
         ${sphinxdoc:Depends},
Description: OpenStack Cloud Optimization as a Service - client doc
 OpenStack Watcher provides a flexible and scalable resource optimization
 service for multi-tenant OpenStack-based clouds. Watcher provides a complete
 optimization loop-including everything from a metrics receiver, complex event
 processor and profiler, optimization processor and an action plan applier.
 This provides a robust framework to realize a wide range of cloud optimization
 goals, including the reduction of data center operating costs, increased
 system performance via intelligent virtual machine migration, increased energy
 efficiency-and more!
 .
 This package contains the documentation.

=== debian/rules ===
#!/usr/bin/make -f

PYTHONS:=$(shell pyversions -vr)
PYTHON3S:=$(shell py3versions -vr)

UPSTREAM_GIT = git://github.com/openstack/python-watcherclient.git
include /usr/share/openstack-pkg-tools/pkgos.make

export OSLO_PACKAGE_VERSION=$(VERSION)

%:
	dh $@ --buildsystem=python_distutils --with python2,python3,sphinxdoc

override_dh_install:
	set -e ; for pyvers in $(PYTHONS); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python-watcherclient; \
	done
	set -e ; for pyvers in $(PYTHON3S); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python3-watcherclient; \
	done
	rm -rf $(CURDIR)/debian/python*/usr/lib/python*/dist-packages/*.pth
	mv $(CURDIR)/debian/python-watcherclient/usr/bin/watcher $(CURDIR)/debian/python-watcherclient/usr/bin/python2-watcher
	mv $(CURDIR)/debian/python3-watcherclient/usr/bin/watcher $(CURDIR)/debian/python3-watcherclient/usr/bin/python3-watcher

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	echo "===> Running tests"
	set -ex ; for i in 2.7 $(PYTHON3S) ; do \
		PYMAJOR=`echo $$i | cut -d'.' -f1` ; \
		echo "===> Testing with python$$i (python$$PYMAJOR)" ; \
		rm -rf .testrepository ; \
		testr-python$$PYMAJOR init ; \
		TEMP_REZ=`mktemp -t` ; \
		PYTHONPATH=$(CURDIR) PYTHON=python$$i testr-python$$PYMAJOR run --subunit | tee $$TEMP_REZ | subunit2pyunit ; \
		cat $$TEMP_REZ | subunit-filter -s --no-passthrough | subunit-stats ; \
		rm -f $$TEMP_REZ ; \
		testr-python$$PYMAJOR slowest ; \
	done
endif

override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. sphinx-build -b html doc/source $(CURDIR)/debian/python-watcherclient-doc/usr/share/doc/python-watcherclient-doc/html
	dh_sphinxdoc -O--buildsystem=python_distutils
endif

override_dh_clean:
	dh_clean -O--buildsystem=python_distutils
	rm -rf build

# Commands not to run
override_dh_installcatalogs:
override_dh_installemacsen override_dh_installifupdown:
override_dh_installinfo override_dh_installmenu override_dh_installmime:
override_dh_installmodules override_dh_installlogcheck:
override_dh_installpam override_dh_installppp override_dh_installudev override_dh_installwm:
override_dh_installxfonts override_dh_gconf override_dh_icons override_dh_perl override_dh_usrlocal:
override_dh_installcron override_dh_installdebconf:
override_dh_installlogrotate override_dh_installgsettings:

## python-watcherclient 0.25.0

=== debian/changelog ===
python-watcherclient (0.25.0-2+1~bpo8+1) UNRELEASED; urgency=medium

  [ Ondřej Nový ]
  * d/s/options: extend-diff-ignore of .gitreview
  * d/control: Use correct branch in Vcs-* fields

  [ Jenkins ]
  * Backport rebuilt by Jenkins in OpenStack infra.

 -- Jenkins <jenkins@openstack.org>  Mon, 26 Sep 2016 22:05:15 +0000

python-watcherclient (0.25.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Using OpenStack's Gerrit as VCS URLs.
  * Using pkgos-dh_auto_{test,install} from openstack-pkg-tools >= 52~.

 -- Thomas Goirand <zigo@debian.org>  Tue, 13 Sep 2016 19:06:02 +0200

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Thomas Goirand <zigo@debian.org>,
 Build-Depends: debhelper (>= 9),
                dh-python,
-               openstack-pkg-tools,
+               openstack-pkg-tools (>= 52~),
                python-all,
                python-pbr (>= 1.8),
                python-setuptools,
@@ -17,49 +17,50 @@
                      python-cliff (>= 1.15.0),
                      python-coverage,
                      python-hacking,
-                     python-keystoneclient (>= 1.6.0),
-                     python-mock (>= 1.3),
-                     python-openstackclient (>= 2.1.0),
+                     python-keystoneclient (>= 2.0.0),
+                     python-mock (>= 2.0),
+                     python-openstackclient (>= 2.6.0),
+                     python-osc-lib (>= 1.0.2),
                      python-oslo.i18n (>= 2.1.0),
-                     python-oslo.utils (>= 3.5.0),
+                     python-oslo.utils (>= 3.16.0),
                      python-oslosphinx,
                      python-oslotest (>= 1.10.0),
                      python-prettytable (>= 0.7),
                      python-six (>= 1.9.0),
-                     python-tempest-lib (>= 0.14.0),
                      python-testscenarios,
                      python-testtools (>= 1.4.0),
                      python3-babel (>= 2.3.4),
                      python3-cliff (>= 1.15.0),
                      python3-coverage,
                      python3-hacking,
-                     python3-keystoneclient (>= 1.6.0),
-                     python3-mock (>= 1.3),
-                     python3-openstackclient (>= 2.1.0),
+                     python3-keystoneclient (>= 2.0.0),
+                     python3-mock (>= 2.0),
+                     python3-openstackclient (>= 2.6.0),
+                     python3-osc-lib (>= 1.0.2),
                      python3-oslo.i18n (>= 2.1.0),
-                     python3-oslo.utils (>= 3.5.0),
+                     python3-oslo.utils (>= 3.16.0),
                      python3-oslotest (>= 1.10.0),
                      python3-prettytable (>= 0.7),
                      python3-six (>= 1.9.0),
                      python3-subunit,
-                     python3-tempest-lib (>= 0.14.0),
                      python3-testscenarios,
                      python3-testtools (>= 1.4.0),
                      subunit,
                      testrepository,
 Standards-Version: 3.9.8
-Vcs-Browser: https://anonscm.debian.org/gitweb/?p=openstack/python-watcherclient.git
-Vcs-Git: https://anonscm.debian.org/git/openstack/python-watcherclient.git
+Vcs-Browser: https://anonscm.debian.org/gitweb/?p=openstack/python-watcherclient?h=debian%2Fnewton
+Vcs-Git: https://git.openstack.org/openstack/deb-python-watcherclient -b debian/newton
 Homepage: https://github.com/openstack/python-watcherclient
 
 Package: python-watcherclient
 Architecture: all
 Depends: python-babel (>= 2.3.4),
          python-cliff (>= 1.15.0),
-         python-keystoneclient (>= 1.6.0),
-         python-openstackclient (>= 2.1.0),
+         python-keystoneclient (>= 2.0.0),
+         python-openstackclient (>= 2.6.0),
+         python-osc-lib (>= 1.0.2),
          python-oslo.i18n (>= 2.1.0),
-         python-oslo.utils (>= 3.5.0),
+         python-oslo.utils (>= 3.16.0),
          python-pbr (>= 1.8),
          python-prettytable (>= 0.7),
          python-six (>= 1.9.0),
@@ -81,10 +82,11 @@
 Architecture: all
 Depends: python3-babel (>= 2.3.4),
          python3-cliff (>= 1.15.0),
-         python3-keystoneclient (>= 1.6.0),
-         python3-openstackclient (>= 2.1.0),
+         python3-keystoneclient (>= 2.0.0),
+         python3-openstackclient (>= 2.6.0),
+         python3-osc-lib (>= 1.0.2),
          python3-oslo.i18n (>= 2.1.0),
-         python3-oslo.utils (>= 3.5.0),
+         python3-oslo.utils (>= 3.16.0),
          python3-pbr (>= 1.8),
          python3-prettytable (>= 0.7),
          python3-six (>= 1.9.0),

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT = git://github.com/openstack/python-watcherclient.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python2,python3,sphinxdoc

override_dh_auto_install:
	pkgos-dh_auto_install

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test
endif

override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. sphinx-build -b html doc/source $(CURDIR)/debian/python-watcherclient-doc/usr/share/doc/python-watcherclient-doc/html
	dh_sphinxdoc -O--buildsystem=python_distutils
endif

override_dh_clean:
	dh_clean -O--buildsystem=python_distutils
	rm -rf build

# Commands not to run
override_dh_installcatalogs:
override_dh_installemacsen override_dh_installifupdown:
override_dh_installinfo override_dh_installmenu override_dh_installmime:
override_dh_installmodules override_dh_installlogcheck:
override_dh_installpam override_dh_installppp override_dh_installudev override_dh_installwm:
override_dh_installxfonts override_dh_gconf override_dh_icons override_dh_perl override_dh_usrlocal:
override_dh_installcron override_dh_installdebconf:
override_dh_installlogrotate override_dh_installgsettings:

## python-watcherclient 0.25.1

=== debian/changelog ===
python-watcherclient (0.25.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
  * Bumped debhelper compat version to 10

 -- Ondřej Nový <onovy@debian.org>  Thu, 29 Dec 2016 00:23:57 +0100

python-watcherclient (0.25.0-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/s/options: extend-diff-ignore of .gitreview
  * d/control: Use correct branch in Vcs-* fields

  [ Thomas Goirand ]
  * Uploading to unstable.
  * Fixed oslotest EPOCH.

 -- Ondřej Nový <onovy@debian.org>  Mon, 26 Sep 2016 19:16:03 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
 Uploaders: Thomas Goirand <zigo@debian.org>,
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 10),
                dh-python,
                openstack-pkg-tools (>= 52~),
                python-all,
@@ -24,7 +24,7 @@
                      python-oslo.i18n (>= 2.1.0),
                      python-oslo.utils (>= 3.16.0),
                      python-oslosphinx,
-                     python-oslotest (>= 1.10.0),
+                     python-oslotest (>= 1:1.10.0),
                      python-prettytable (>= 0.7),
                      python-six (>= 1.9.0),
                      python-testscenarios,
@@ -39,7 +39,7 @@
                      python3-osc-lib (>= 1.0.2),
                      python3-oslo.i18n (>= 2.1.0),
                      python3-oslo.utils (>= 3.16.0),
-                     python3-oslotest (>= 1.10.0),
+                     python3-oslotest (>= 1:1.10.0),
                      python3-prettytable (>= 0.7),
                      python3-six (>= 1.9.0),
                      python3-subunit,

=== debian/watch ===
version=3
opts="uversionmangle=s/\.(b|rc)/~$1/" \
https://github.com/openstack/python-watcherclient/tags .*/(\d[\d\.]+)\.tar\.gz

## python-watcherclient 1.0.0

=== debian/changelog ===
python-watcherclient (1.0.0-0ubuntu1~cloud0) xenial-ocata; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Mon, 23 Jan 2017 01:55:16 +0000

python-watcherclient (1.0.0-0ubuntu1) zesty; urgency=medium

  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.
  * d/control: Only use unit tests when running unit tests.

 -- Chuck Short <zulcss@ubuntu.com>  Sun, 22 Jan 2017 10:38:28 -0500

python-watcherclient (0.27.0-0ubuntu1) zesty; urgency=medium

  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 16 Dec 2016 11:51:48 -0500

python-watcherclient (0.26.0-0ubuntu1) zesty; urgency=medium

  * d/gbp.conf: Update gbp configuration file.
  * d/control: Update Vcs-* links and maintainers.
  * New upstream release.
  * Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 06 Dec 2016 08:07:34 -0500

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: python-watcherclient
 Section: python
 Priority: optional
-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
 Uploaders: Thomas Goirand <zigo@debian.org>,
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper (>= 9),
                dh-python,
                openstack-pkg-tools (>= 52~),
                python-all,
@@ -14,58 +15,64 @@
                python3-pbr (>= 1.8),
                python3-setuptools,
 Build-Depends-Indep: python-babel (>= 2.3.4),
-                     python-cliff (>= 1.15.0),
+                     python-cliff (>= 2.3.0),
                      python-coverage,
+                     python-fixtures (>= 3.0.0),
                      python-hacking,
-                     python-keystoneclient (>= 2.0.0),
+                     python-keystoneauth1 (>= 2.17.0),
                      python-mock (>= 2.0),
-                     python-openstackclient (>= 2.6.0),
-                     python-osc-lib (>= 1.0.2),
+                     python-osc-lib (>= 1.2.0),
                      python-oslo.i18n (>= 2.1.0),
-                     python-oslo.utils (>= 3.16.0),
+                     python-oslo.utils (>= 3.18.0),
                      python-oslosphinx,
                      python-oslotest (>= 1:1.10.0),
-                     python-prettytable (>= 0.7),
+                     python-os-testr,
+                     python-prettytable (>= 0.7.1),
                      python-six (>= 1.9.0),
                      python-testscenarios,
                      python-testtools (>= 1.4.0),
+                     python-yaml (>= 3.10.0),
                      python3-babel (>= 2.3.4),
-                     python3-cliff (>= 1.15.0),
+                     python3-cliff (>= 2.3.0),
                      python3-coverage,
+                     python3-fixtures (>= 3.0.0),
                      python3-hacking,
-                     python3-keystoneclient (>= 2.0.0),
+                     python3-keystoneauth1 (>= 2.17.0),
                      python3-mock (>= 2.0),
-                     python3-openstackclient (>= 2.6.0),
-                     python3-osc-lib (>= 1.0.2),
+                     python3-osc-lib (>= 1.2.0),
                      python3-oslo.i18n (>= 2.1.0),
-                     python3-oslo.utils (>= 3.16.0),
+                     python3-oslo.utils (>= 3.18.0),
+                     python3-oslosphinx (>= 4.7.0),
                      python3-oslotest (>= 1:1.10.0),
-                     python3-prettytable (>= 0.7),
+                     python3-os-testr,
+                     python3-prettytable (>= 0.7.1),
                      python3-six (>= 1.9.0),
+                     python3-sphinx (>= 1.2.1),
                      python3-subunit,
                      python3-testscenarios,
                      python3-testtools (>= 1.4.0),
-                     subunit,
-                     testrepository,
+                     python3-yaml (>= 3.10.0),
+                     subunit
 Standards-Version: 3.9.8
-Vcs-Browser: https://anonscm.debian.org/gitweb/?p=openstack/python-watcherclient?h=debian%2Fnewton
-Vcs-Git: https://git.openstack.org/openstack/deb-python-watcherclient -b debian/newton
+Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-watcherclient
+Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-watcherclient
 Homepage: https://github.com/openstack/python-watcherclient
 
 Package: python-watcherclient
 Architecture: all
 Depends: python-babel (>= 2.3.4),
-         python-cliff (>= 1.15.0),
-         python-keystoneclient (>= 2.0.0),
-         python-openstackclient (>= 2.6.0),
-         python-osc-lib (>= 1.0.2),
+         python-cliff (>= 2.3.0),
+         python-fixtures (>= 3.0.0),
+         python-keystoneauth1 (>= 2.17.0),
+         python-osc-lib (>= 1.2.0),
          python-oslo.i18n (>= 2.1.0),
-         python-oslo.utils (>= 3.16.0),
+         python-oslo.utils (>= 3.18.0),
          python-pbr (>= 1.8),
-         python-prettytable (>= 0.7),
+         python-prettytable (>= 0.7.1),
          python-six (>= 1.9.0),
+         python-yaml (>= 3.10.0),
          ${misc:Depends},
-         ${python:Depends},
+         ${python:Depends}
 Description: OpenStack Cloud Optimization as a Service client - Python 2.7
  OpenStack Watcher provides a flexible and scalable resource optimization
  service for multi-tenant OpenStack-based clouds. Watcher provides a complete
@@ -81,17 +88,18 @@
 Package: python3-watcherclient
 Architecture: all
 Depends: python3-babel (>= 2.3.4),
-         python3-cliff (>= 1.15.0),
-         python3-keystoneclient (>= 2.0.0),
-         python3-openstackclient (>= 2.6.0),
-         python3-osc-lib (>= 1.0.2),
+         python3-cliff (>= 2.3.0),
+         python3-fixtures (>= 3.0.0),
+         python3-keystoneauth1 (>= 2.17.0),
+         python3-osc-lib (>= 1.2.0),
          python3-oslo.i18n (>= 2.1.0),
-         python3-oslo.utils (>= 3.16.0),
+         python3-oslo.utils (>= 3.18.0),
          python3-pbr (>= 1.8),
-         python3-prettytable (>= 0.7),
+         python3-prettytable (>= 0.7.1),
          python3-six (>= 1.9.0),
+         python3-yaml (>= 3.10.0),
          ${misc:Depends},
-         ${python3:Depends},
+         ${python3:Depends}
 Description: OpenStack Cloud Optimization as a Service client - Python 3.x
  OpenStack Watcher provides a flexible and scalable resource optimization
  service for multi-tenant OpenStack-based clouds. Watcher provides a complete

## python-watcherclient 1.3.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

Babel!=2.4.0,>=2.3.4 # BSD
cliff>=2.8.0 # Apache-2.0
osc-lib>=1.7.0 # Apache-2.0
oslo.i18n!=3.15.2,>=2.1.0 # Apache-2.0
oslo.utils>=3.20.0 # Apache-2.0
pbr!=2.1.0,>=2.0.0 # Apache-2.0
PrettyTable<0.8,>=0.7.1 # BSD
keystoneauth1>=3.0.1 # Apache-2.0
six>=1.9.0 # MIT
PyYAML>=3.10.0 # MIT

=== debian/changelog ===
python-watcherclient (1.3.0-0ubuntu1~cloud0) xenial-pike; urgency=medium

  * New update for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Tue, 15 Aug 2017 20:45:02 +0000

python-watcherclient (1.3.0-0ubuntu1) artful; urgency=medium

  * d/watch: Get tarball from tarballs.openstack.org.
  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/drop-openstackdoctheme.patch: Temporarily drop openstackdocstheme
    sphinx extension until sphinx>=1.6.2 is available.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 15 Aug 2017 15:34:57 -0400

python-watcherclient (1.1.0-0ubuntu1) artful; urgency=medium

  * d/watch: Use pypi.debian.net.
  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.

 -- James Page <james.page@ubuntu.com>  Fri, 02 Jun 2017 09:27:35 +0100

=== debian/control ===
--- 
+++ 
@@ -8,51 +8,53 @@
                dh-python,
                openstack-pkg-tools (>= 52~),
                python-all,
-               python-pbr (>= 1.8),
+               python-pbr (>= 2.0.0),
                python-setuptools,
-               python-sphinx,
+               python-sphinx (>= 1.5.1),
                python3-all,
-               python3-pbr (>= 1.8),
+               python3-pbr (>= 2.0.0),
                python3-setuptools,
 Build-Depends-Indep: python-babel (>= 2.3.4),
-                     python-cliff (>= 2.3.0),
+                     python-cliff (>= 2.8.0),
                      python-coverage,
                      python-fixtures (>= 3.0.0),
                      python-hacking,
-                     python-keystoneauth1 (>= 2.17.0),
+                     python-keystoneauth1 (>= 3.0.1),
                      python-mock (>= 2.0),
-                     python-osc-lib (>= 1.2.0),
+                     python-openstackdocstheme (>= 1.11.0),
+                     python-os-testr,
+                     python-osc-lib (>= 1.7.0),
                      python-oslo.i18n (>= 2.1.0),
-                     python-oslo.utils (>= 3.18.0),
-                     python-oslosphinx,
+                     python-oslo.utils (>= 3.20.0),
                      python-oslotest (>= 1:1.10.0),
-                     python-os-testr,
                      python-prettytable (>= 0.7.1),
                      python-six (>= 1.9.0),
+                     python-tempest (>= 1:16.1.0),
                      python-testscenarios,
                      python-testtools (>= 1.4.0),
                      python-yaml (>= 3.10.0),
                      python3-babel (>= 2.3.4),
-                     python3-cliff (>= 2.3.0),
+                     python3-cliff (>= 2.8.0),
                      python3-coverage,
                      python3-fixtures (>= 3.0.0),
                      python3-hacking,
-                     python3-keystoneauth1 (>= 2.17.0),
+                     python3-keystoneauth1 (>= 3.0.1),
                      python3-mock (>= 2.0),
-                     python3-osc-lib (>= 1.2.0),
+                     python3-openstackdocstheme (>= 1.11.0),
+                     python3-os-testr,
+                     python3-osc-lib (>= 1.7.0),
                      python3-oslo.i18n (>= 2.1.0),
-                     python3-oslo.utils (>= 3.18.0),
-                     python3-oslosphinx (>= 4.7.0),
+                     python3-oslo.utils (>= 3.20.0),
                      python3-oslotest (>= 1:1.10.0),
-                     python3-os-testr,
                      python3-prettytable (>= 0.7.1),
                      python3-six (>= 1.9.0),
-                     python3-sphinx (>= 1.2.1),
+                     python3-sphinx (>= 1.5.1),
                      python3-subunit,
+                     python3-tempest (>= 1:16.1.0),
                      python3-testscenarios,
                      python3-testtools (>= 1.4.0),
                      python3-yaml (>= 3.10.0),
-                     subunit
+                     subunit,
 Standards-Version: 3.9.8
 Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-watcherclient
 Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-watcherclient
@@ -61,18 +63,18 @@
 Package: python-watcherclient
 Architecture: all
 Depends: python-babel (>= 2.3.4),
-         python-cliff (>= 2.3.0),
+         python-cliff (>= 2.8.0),
          python-fixtures (>= 3.0.0),
-         python-keystoneauth1 (>= 2.17.0),
-         python-osc-lib (>= 1.2.0),
+         python-keystoneauth1 (>= 3.0.1),
+         python-osc-lib (>= 1.7.0),
          python-oslo.i18n (>= 2.1.0),
-         python-oslo.utils (>= 3.18.0),
-         python-pbr (>= 1.8),
+         python-oslo.utils (>= 3.20.0),
+         python-pbr (>= 2.0.0),
          python-prettytable (>= 0.7.1),
          python-six (>= 1.9.0),
          python-yaml (>= 3.10.0),
          ${misc:Depends},
-         ${python:Depends}
+         ${python:Depends},
 Description: OpenStack Cloud Optimization as a Service client - Python 2.7
  OpenStack Watcher provides a flexible and scalable resource optimization
  service for multi-tenant OpenStack-based clouds. Watcher provides a complete
@@ -88,18 +90,18 @@
 Package: python3-watcherclient
 Architecture: all
 Depends: python3-babel (>= 2.3.4),
-         python3-cliff (>= 2.3.0),
+         python3-cliff (>= 2.8.0),
          python3-fixtures (>= 3.0.0),
-         python3-keystoneauth1 (>= 2.17.0),
-         python3-osc-lib (>= 1.2.0),
+         python3-keystoneauth1 (>= 3.0.1),
+         python3-osc-lib (>= 1.7.0),
          python3-oslo.i18n (>= 2.1.0),
-         python3-oslo.utils (>= 3.18.0),
-         python3-pbr (>= 1.8),
+         python3-oslo.utils (>= 3.20.0),
+         python3-pbr (>= 2.0.0),
          python3-prettytable (>= 0.7.1),
          python3-six (>= 1.9.0),
          python3-yaml (>= 3.10.0),
          ${misc:Depends},
-         ${python3:Depends}
+         ${python3:Depends},
 Description: OpenStack Cloud Optimization as a Service client - Python 3.x
  OpenStack Watcher provides a flexible and scalable resource optimization
  service for multi-tenant OpenStack-based clouds. Watcher provides a complete

## python-watcherclient 1.6.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

Babel!=2.4.0,>=2.3.4 # BSD
cliff!=2.9.0,>=2.8.0 # Apache-2.0
osc-lib>=1.8.0 # Apache-2.0
oslo.i18n>=3.15.3 # Apache-2.0
oslo.utils>=3.33.0 # Apache-2.0
pbr!=2.1.0,>=2.0.0 # Apache-2.0
PrettyTable<0.8,>=0.7.1 # BSD
keystoneauth1>=3.3.0 # Apache-2.0
six>=1.10.0 # MIT
PyYAML>=3.10 # MIT

=== debian/changelog ===
python-watcherclient (1.6.0-3) unstable; urgency=medium

  * Python 3 has now priority over Python 2.

 -- Thomas Goirand <zigo@debian.org>  Sun, 11 Mar 2018 14:53:00 +0100

python-watcherclient (1.6.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sun, 25 Feb 2018 21:56:43 +0000

python-watcherclient (1.6.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * Running wrap-and-sort -bast

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Standards-Version is now 4.1.3.

 -- Thomas Goirand <zigo@debian.org>  Tue, 13 Feb 2018 22:18:28 +0000

python-watcherclient (1.3.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Thu, 02 Nov 2017 00:37:15 +0000

python-watcherclient (1.3.0-1) experimental; urgency=medium

  [ Daniel Baumann ]
  * Updating vcs fields.
  * Updating copyright format url.
  * Running wrap-and-sort -bast.
  * Updating maintainer field.
  * Updating standards version to 4.0.0.
  * Removing gbp.conf, not used anymore or should be specified in the
    developers dotfiles.
  * Correcting permissions in debian packaging files.
  * Updating standards version to 4.0.1.
  * Updating standards version to 4.1.0.

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Only run unit tests, not functional.

 -- Thomas Goirand <zigo@debian.org>  Wed, 04 Oct 2017 22:56:15 +0200

=== debian/control ===
Source: python-watcherclient
Section: python
Priority: optional
Maintainer: Debian OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper (>= 10),
 dh-python,
 openstack-pkg-tools,
 python-all,
 python-pbr (>= 2.0.0),
 python-setuptools,
 python-sphinx (>= 1.6.2),
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
Build-Depends-Indep:
 python-babel,
 python-cliff (>= 2.8.0),
 python-coverage,
 python-fixtures,
 python-hacking,
 python-keystoneauth1 (>= 3.3.0),
 python-mock,
 python-openstackclient (>= 2.6.0),
 python-openstackdocstheme (>= 1.18.1),
 python-osc-lib (>= 1.8.0),
 python-oslo.i18n (>= 3.15.3),
 python-oslo.utils (>= 3.33.0),
 python-oslotest (>= 1:3.2.0),
 python-prettytable,
 python-six,
 python-tempest (>= 1:17.1.0),
 python-testscenarios,
 python-testtools (>= 2.2.0),
 python-yaml,
 python3-babel,
 python3-cliff (>= 2.8.0),
 python3-coverage,
 python3-fixtures,
 python3-hacking,
 python3-keystoneauth1 (>= 3.3.0),
 python3-mock,
 python3-openstackclient (>= 2.6.0),
 python3-osc-lib (>= 1.8.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.utils (>= 3.33.0),
 python3-oslotest (>= 1:3.2.0),
 python3-prettytable,
 python3-six,
 python3-subunit,
 python3-tempest (>= 1:17.1.0),
 python3-testscenarios,
 python3-testtools (>= 2.2.0),
 python3-yaml,
 subunit,
 testrepository,
Standards-Version: 4.1.3
Vcs-Browser: https://salsa.debian.org/openstack-team/clients/python-watcherclient
Vcs-Git: https://salsa.debian.org/openstack-team/clients/python-watcherclient.git
Homepage: https://github.com/openstack/python-watcherclient

Package: python-watcherclient
Architecture: all
Depends:
 python-babel,
 python-cliff (>= 2.8.0),
 python-keystoneauth1 (>= 3.3.0),
 python-openstackclient (>= 2.6.0),
 python-osc-lib (>= 1.8.0),
 python-oslo.i18n (>= 3.15.3),
 python-oslo.utils (>= 3.33.0),
 python-pbr (>= 2.0.0),
 python-prettytable,
 python-six,
 python-yaml,
 ${misc:Depends},
 ${python:Depends},
Description: OpenStack Cloud Optimization as a Service client - Python 2.7
 OpenStack Watcher provides a flexible and scalable resource optimization
 service for multi-tenant OpenStack-based clouds. Watcher provides a complete
 optimization loop-including everything from a metrics receiver, complex event
 processor and profiler, optimization processor and an action plan applier.
 This provides a robust framework to realize a wide range of cloud optimization
 goals, including the reduction of data center operating costs, increased
 system performance via intelligent virtual machine migration, increased energy
 efficiency-and more!
 .
 This package contains the Python 2.7 module and the Watcher CLI.

Package: python-watcherclient-doc
Architecture: all
Section: doc
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: OpenStack Cloud Optimization as a Service - client doc
 OpenStack Watcher provides a flexible and scalable resource optimization
 service for multi-tenant OpenStack-based clouds. Watcher provides a complete
 optimization loop-including everything from a metrics receiver, complex event
 processor and profiler, optimization processor and an action plan applier.
 This provides a robust framework to realize a wide range of cloud optimization
 goals, including the reduction of data center operating costs, increased
 system performance via intelligent virtual machine migration, increased energy
 efficiency-and more!
 .
 This package contains the documentation.

Package: python3-watcherclient
Architecture: all
Depends:
 python3-babel,
 python3-cliff (>= 2.8.0),
 python3-keystoneauth1 (>= 3.3.0),
 python3-openstackclient (>= 2.6.0),
 python3-osc-lib (>= 1.8.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.utils (>= 3.33.0),
 python3-pbr (>= 2.0.0),
 python3-prettytable,
 python3-six,
 python3-yaml,
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack Cloud Optimization as a Service client - Python 3.x
 OpenStack Watcher provides a flexible and scalable resource optimization
 service for multi-tenant OpenStack-based clouds. Watcher provides a complete
 optimization loop-including everything from a metrics receiver, complex event
 processor and profiler, optimization processor and an action plan applier.
 This provides a robust framework to realize a wide range of cloud optimization
 goals, including the reduction of data center operating costs, increased
 system performance via intelligent virtual machine migration, increased energy
 efficiency-and more!
 .
 This package contains the Python 3.x module and the Watcher CLI.

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #!/usr/bin/make -f
 
-UPSTREAM_GIT = git://github.com/openstack/python-watcherclient.git
+UPSTREAM_GIT = https://github.com/openstack/python-watcherclient.git
 include /usr/share/openstack-pkg-tools/pkgos.make
 
 %:
@@ -14,11 +14,11 @@
 
 override_dh_auto_test:
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
-	pkgos-dh_auto_test
+	pkgos-dh_auto_test 'watcherclient\.tests\.unit.*'
 endif
 
 override_dh_sphinxdoc:
-ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
+ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
 	PYTHONPATH=. sphinx-build -b html doc/source $(CURDIR)/debian/python-watcherclient-doc/usr/share/doc/python-watcherclient-doc/html
 	dh_sphinxdoc -O--buildsystem=python_distutils
 endif

## python-watcherclient 2.1.0

=== requirements.txt ===
--- 
+++ 
@@ -9,6 +9,6 @@
 oslo.utils>=3.33.0 # Apache-2.0
 pbr!=2.1.0,>=2.0.0 # Apache-2.0
 PrettyTable<0.8,>=0.7.1 # BSD
-keystoneauth1>=3.3.0 # Apache-2.0
+keystoneauth1>=3.4.0 # Apache-2.0
 six>=1.10.0 # MIT
-PyYAML>=3.10 # MIT
+PyYAML>=3.12 # MIT

=== debian/changelog ===
python-watcherclient (2.1.0-3) unstable; urgency=medium

  * Add fix-py3-str-bytes-error.patch 

 -- Michal Arbet <michal.arbet@ultimum.io>  Wed, 05 Sep 2018 13:37:30 +0200

python-watcherclient (2.1.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Michal Arbet <michal.arbet@ultimum.io>  Tue, 04 Sep 2018 22:37:06 +0200

python-watcherclient (2.1.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * d/control: Use team+openstack@tracker.debian.org as maintainer

  [ Michal Arbet ]
  * New upstream version
  * Switch doc generation to python3 sphinx
  * Fix embedded-javascript-library lintian warning
  * d/control: Fix (build-)depends for this release
  * d/control: Add some deletion of files do dh_clean
  * d/control: Fix executing unit tests
  * d/copyright: Update file
  * d/control: Add me to uploaders field

 -- Michal Arbet <michal.arbet@ultimum.io>  Wed, 22 Aug 2018 10:47:52 +0200

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: python-watcherclient
 Section: python
 Priority: optional
-Maintainer: Debian OpenStack <openstack-devel@lists.alioth.debian.org>
+Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
+ Michal Arbet <michal.arbet@ultimum.io>,
 Build-Depends:
  debhelper (>= 10),
  dh-python,
@@ -11,7 +12,7 @@
  python-all,
  python-pbr (>= 2.0.0),
  python-setuptools,
- python-sphinx (>= 1.6.2),
+ python3-sphinx (>= 1.6.2),
  python3-all,
  python3-pbr (>= 2.0.0),
  python3-setuptools,
@@ -21,10 +22,9 @@
  python-coverage,
  python-fixtures,
  python-hacking,
- python-keystoneauth1 (>= 3.3.0),
+ python-keystoneauth1 (>= 3.4.0),
  python-mock,
  python-openstackclient (>= 2.6.0),
- python-openstackdocstheme (>= 1.18.1),
  python-osc-lib (>= 1.8.0),
  python-oslo.i18n (>= 3.15.3),
  python-oslo.utils (>= 3.33.0),
@@ -40,9 +40,10 @@
  python3-coverage,
  python3-fixtures,
  python3-hacking,
- python3-keystoneauth1 (>= 3.3.0),
+ python3-keystoneauth1 (>= 3.4.0),
  python3-mock,
  python3-openstackclient (>= 2.6.0),
+ python3-openstackdocstheme (>= 1.18.1),
  python3-osc-lib (>= 1.8.0),
  python3-oslo.i18n (>= 3.15.3),
  python3-oslo.utils (>= 3.33.0),
@@ -66,7 +67,7 @@
 Depends:
  python-babel,
  python-cliff (>= 2.8.0),
- python-keystoneauth1 (>= 3.3.0),
+ python-keystoneauth1 (>= 3.4.0),
  python-openstackclient (>= 2.6.0),
  python-osc-lib (>= 1.8.0),
  python-oslo.i18n (>= 3.15.3),
@@ -77,6 +78,8 @@
  python-yaml,
  ${misc:Depends},
  ${python:Depends},
+Suggests:
+ python-watcherclient-doc,
 Description: OpenStack Cloud Optimization as a Service client - Python 2.7
  OpenStack Watcher provides a flexible and scalable resource optimization
  service for multi-tenant OpenStack-based clouds. Watcher provides a complete
@@ -93,6 +96,8 @@
 Architecture: all
 Section: doc
 Depends:
+ libjs-bootstrap,
+ libjs-jquery,
  ${misc:Depends},
  ${sphinxdoc:Depends},
 Description: OpenStack Cloud Optimization as a Service - client doc
@@ -112,7 +117,7 @@
 Depends:
  python3-babel,
  python3-cliff (>= 2.8.0),
- python3-keystoneauth1 (>= 3.3.0),
+ python3-keystoneauth1 (>= 3.4.0),
  python3-openstackclient (>= 2.6.0),
  python3-osc-lib (>= 1.8.0),
  python3-oslo.i18n (>= 3.15.3),
@@ -123,6 +128,8 @@
  python3-yaml,
  ${misc:Depends},
  ${python3:Depends},
+Suggests:
+ python-watcherclient-doc,
 Description: OpenStack Cloud Optimization as a Service client - Python 3.x
  OpenStack Watcher provides a flexible and scalable resource optimization
  service for multi-tenant OpenStack-based clouds. Watcher provides a complete

=== debian/rules ===
--- 
+++ 
@@ -14,18 +14,34 @@
 
 override_dh_auto_test:
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
-	pkgos-dh_auto_test 'watcherclient\.tests\.unit.*'
+	@echo "===> Running tests"
+	set -e ; set -x ; for i in ${PYTHONS} ${PYTHON3S} ; do \
+		PYMAJOR=`echo $$i | cut -d'.' -f1` ; \
+		echo "===> Testing with python$$i (python$$PYMAJOR)" ; \
+		rm -rf .testrepository ; \
+		testr-python$$PYMAJOR init ; \
+		TEMP_REZ=`mktemp -t` ; \
+		PYTHONPATH=$(CURDIR) PYTHON=python$$i testr-python$$PYMAJOR run --subunit 'watcherclient\.tests\.unit.*' | tee $$TEMP_REZ | subunit2pyunit ; \
+		cat $$TEMP_REZ | subunit-filter -s --no-passthrough | subunit-stats ; \
+		rm -f $$TEMP_REZ ; \
+		testr-python$$PYMAJOR slowest ; \
+	done
+
 endif
 
 override_dh_sphinxdoc:
 ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
-	PYTHONPATH=. sphinx-build -b html doc/source $(CURDIR)/debian/python-watcherclient-doc/usr/share/doc/python-watcherclient-doc/html
+	python3 -m sphinx -b html doc/source $(CURDIR)/debian/python-watcherclient-doc/usr/share/doc/python-watcherclient-doc/html
 	dh_sphinxdoc -O--buildsystem=python_distutils
 endif
 
 override_dh_clean:
 	dh_clean -O--buildsystem=python_distutils
 	rm -rf build
+	rm -rf .stestr
+	rm -rf .testrepository
+	rm -f AUTHORS
+	rm -f ChangeLog
 
 # Commands not to run
 override_dh_installcatalogs:
